//
//  AMHelpViewController.h
//  HelpViewer
//
//  Created by Andreas on 03.04.11.
//


#import <UIKit/UIKit.h>

@class AMHelpPageController;


@interface AMHelpViewController : UIViewController <UIScrollViewDelegate> {
	UIPageControl *pageControl;
	UIScrollView *scrollView;
	UINavigationItem *headerItem;
	NSMutableArray *viewControllers;
	BOOL adjustPageNumber; // To be used when scrolls originate from the scroll view
	NSString *folderName;
	NSString *folderNameLandscape;
	NSInteger pageCount;
}

@property (nonatomic, retain) IBOutlet UIPageControl *pageControl;
@property (nonatomic, retain) IBOutlet UIScrollView *scrollView;
@property (nonatomic, retain) IBOutlet UINavigationItem *headerItem;
@property (nonatomic, retain) NSMutableArray *viewControllers;
@property (nonatomic, copy) NSString *folderName;
@property (nonatomic, copy) NSString *folderNameLandscape;
@property (nonatomic, assign) NSInteger pageCount;
@property (nonatomic, copy) NSString *title;


- (id)initWithFolderName:(NSString *)folderName folderNameLandscape:(NSString *)folderNameLandscape pageCount:(NSInteger)numberOfPages;
- (id)initWithDataFromInfoDictionary;

- (IBAction)changePage:(id)sender;

- (NSString *)folderNameForCurrentInterfaceOrientation;


@end



@interface AMHelpViewController (AMHelpPageDelegate)

- (void)pageDidFinishLoad:(AMHelpPageController *)helpPageController;

@end